package org.appfuse.web;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.appfuse.model.User;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

public class UserValidator implements Validator {
    private Log log = LogFactory.getLog(UserValidator.class);
    public boolean supports(Class clazz) {
        return clazz.equals(User.class);
    }

    public void validate(Object obj, Errors errors) {
        if (log.isDebugEnabled()) {
        	log.debug("entering 'validate' method...");
        }
        User user = (User) obj;

        ValidationUtils.rejectIfEmptyOrWhitespace(errors,
            "lastName", "errors.required", "Value required.");
    }
}
