package org.appfuse.web;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.appfuse.model.User;
import org.springframework.web.servlet.view.document.AbstractPdfView;

import com.lowagie.text.Document;
import com.lowagie.text.Paragraph;
import com.lowagie.text.pdf.PdfWriter;

public class UserPDFView extends AbstractPdfView {
    
    protected void buildPdfDocument(Map model, Document doc, PdfWriter writer,
                                    HttpServletRequest req,
                                    HttpServletResponse resp)
    throws Exception {
        List users = (List) model.get("users");

        for (int i = 0; i < users.size(); i++) {
            String fullName = ((User) users.get(i)).getFullName();
            doc.add(new Paragraph(fullName));
        }
    }
}
