<%@ include file="/taglibs.jsp"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display" %>

<head>
    <title>MyUsers ~ User List</title>
    <link href="styles/displaytag.css" type="text/css" rel="stylesheet"/>
</head>

<button onclick="location.href='editUser.html'">Add User</button>

<p style="text-align: right; margin-bottom: -10px">
<strong>Export Options:</strong> 
    <a href="?report=XML">XML</a> &middot; 
    <a href="?report=Excel">Excel</a> &middot; 
    <a href="?report=PDF">PDF</a>
</p>

<display:table name="${users}" class="list" requestURI="" id="userList" export="true">
    <display:column property="id" sort="true" href="editUser.html"
        paramId="id" paramProperty="id" titleKey="user.id"/>
    <display:column property="firstName" sort="true" titleKey="user.firstName"/>
    <display:column property="lastName" sort="true" titleKey="user.lastName"/>
    <display:setProperty name="basic.empty.showtable" value="true"/>
</display:table>